//// I2C configuration
/*----------------------------------------------------------------------------
 * Name:    I2C.c
 * Purpose: Freescale MK60X512VMD100 I2S Audio using TWR-AUDIO SGTL5000
 *----------------------------------------------------------------------------
//// CODE IS PROVIDED "AS IS." DIGI-KEY EXPRESSLY DISCLAIMS ANY
//// WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
//// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//// PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL DIGI-KEY
//// BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
//// DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
//// PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
//// BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
//// ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
//// DIGI-KEY ALSO DISCLAIMS ANY LIABILITY FOR PATENT OR COPYRIGHT
//// INFRINGEMENT.
 *----------------------------------------------------------------------------*/

#include <MK60F12.H>
#include "I2C.h"



////////////////////////////////////////////////////////////////////
// Initialize I2C0 interface
////////////////////////////////////////////////////////////////////
void I2C0_Config(void) {

	/// setup I2C0 clock to 100 KHz
	
	
  SIM->SCGC5    	|= (1UL <<  12);       	/// Enable Clock to Port D 	
	SIM->SCGC4     	|= (1UL << 6);					/// Enable Clock to I2C0
	
	PORTD->PCR[8] 	= (1UL << 9);						/// mux as alt2 (I2C0_SCL)
	PORTD->PCR[9] 	= (1UL << 9);						/// mux as alt2 (I2C0_SDA)

	I2C0->F  = 0x94;       									/// set MULT and ICR	
	I2C0->C1 = I2C_C1_IICEN_MASK;       		/// enable IIC
	
}


