//// Header file for SGTL5000 Audio Codec Init and other Functions
/*----------------------------------------------------------------------------
 * Name:    SGTL5000.h
 * Purpose: Freescale MK60X512VMD100 I2S Audio using TWR-AUDIO SGTL5000
 *----------------------------------------------------------------------------
//// CODE IS PROVIDED "AS IS." DIGI-KEY EXPRESSLY DISCLAIMS ANY
//// WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
//// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
//// PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL DIGI-KEY
//// BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
//// DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
//// PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
//// BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
//// ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
//// DIGI-KEY ALSO DISCLAIMS ANY LIABILITY FOR PATENT OR COPYRIGHT
//// INFRINGEMENT.
 *----------------------------------------------------------------------------*/
 
#include <MK60F12.H> 


/// defines for SGTL5000 regs
#define SGTL5000_I2C_ADDRESS 		0x0Au
#define CHIP_ID									0x0000u
#define CHIP_DIG_POWER					0x0002u	
#define CHIP_CLK_CTRL						0x0004u
#define CHIP_I2S_CTRL						0x0006u
#define CHIP_SSS_CTRL						0x000Au
#define CHIP_ADCDAC_CTRL				0x000Eu
#define CHIP_DAC_VOL						0x0010u
#define CHIP_PAD_STRENGTH				0x0014u
#define CHIP_ANA_ADC_CTRL				0x0020u
#define	CHIP_ANA_HP_CTRL				0x0022u
#define CHIP_ANA_CTRL						0x0024u
#define CHIP_LINREG_CTRL				0x0026u
#define CHIP_REF_CTRL						0x0028u
#define CHIP_MIC_CTRL						0x002Au
#define CHIP_LINE_OUT_CTRL			0x002Cu
#define CHIP_LINE_OUT_VOL				0x002Eu
#define CHIP_ANA_POWER					0x0030u
#define CHIP_PLL_CTRL						0x0032u
#define CHIP_CLK_TOP_CTRL				0x0034u
#define CHIP_ANA_STATUS					0x0036u
#define CHIP_ANA_TEST1					0x0038u
#define CHIP_ANA_TEST2					0x003Au
#define CHIP_SHORT_CTRL					0x003Cu
#define DAP_CONTROL							0x0100u
#define DAP_PEQ									0x0102u
#define DAP_BASS_ENHANCE				0x0104u
#define DAP_BASS_ENHANCE_CTRL		0x0106u
#define DAP_AUDIO_EQ						0x0108u
#define DAP_BASS_ENHANCE				0x0104u
#define DAP_BASS_ENHANCE_CTRL 	0x0106u
#define	DAP_SGTL_SURROUND 			0x010Au
#define DAP_MAIN_CHAN 					0x0120u
#define BYPASS									1
#define NO_BYPASS								0
#define MUTE										1
#define UNMUTE									0
#define TRUE										1
#define FALSE										0


/// Function Prototypes for SGTL5000 usage

void SGTL5000_I2C_Write(uint16_t, uint16_t);
void SGTL5000_Init( void);
void SGTL5000_Bypass( int);
void SGTL5000_mute( int);
void SGTL5000_DAC_Vol(uint8_t, uint8_t);
void SGTL5000_DAP_Bass_En(int, int, int);
void SGTL5000_DAP_Bass_En_CNTL(int, int);
void SGTL5000_HP_Vol(uint8_t, uint8_t);
void SGTL5000_LO_Vol(uint8_t, uint8_t);
void SGTL5000_DAP_Mch_Vol(uint16_t);
void SGTL5000_DAP_Surround(uint8_t, uint8_t);
void SGTL5000_ADC_Vol(uint8_t, uint8_t, uint8_t);























